import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PcB2BOrdert } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-25 10:35
 */
interface PcB2BOrdertCU extends ConditionUtil<PcB2BOrdertCU> {
    ID: FieldUtil<PcB2BOrdertCU>;
    PAYEE_ACT_ID: FieldUtil<PcB2BOrdertCU>;
    ORDER_NO: FieldUtil<PcB2BOrdertCU>;
    CH_ORDER_NO1: FieldUtil<PcB2BOrdertCU>;
    CH_ORDER_NO2: FieldUtil<PcB2BOrdertCU>;
    CH_ORDER_NO3: FieldUtil<PcB2BOrdertCU>;
    PAY_ACC_NO: FieldUtil<PcB2BOrdertCU>;
    PAY_BANK_CODE: FieldUtil<PcB2BOrdertCU>;
    PAY_ACC_NAME: FieldUtil<PcB2BOrdertCU>;
    PAY_BANK_BRN: FieldUtil<PcB2BOrdertCU>;
    AMOUNT: FieldUtil<PcB2BOrdertCU>;
    RCV_ACC_NO: FieldUtil<PcB2BOrdertCU>;
    RCV_ACC_NAME: FieldUtil<PcB2BOrdertCU>;
    RCV_BANK: FieldUtil<PcB2BOrdertCU>;
    CLIENT_TEXT: FieldUtil<PcB2BOrdertCU>;
    PLT_REMARKS: FieldUtil<PcB2BOrdertCU>;
    PAY_REMARKS: FieldUtil<PcB2BOrdertCU>;
    ORDER_REMARKS: FieldUtil<PcB2BOrdertCU>;
    STATUS: FieldUtil<PcB2BOrdertCU>;
    CH_STATUS: FieldUtil<PcB2BOrdertCU>;
    CH_STATUS2: FieldUtil<PcB2BOrdertCU>;
    RESULT_MSG: FieldUtil<PcB2BOrdertCU>;
    REMARK: FieldUtil<PcB2BOrdertCU>;
    EXT_JSON: FieldUtil<PcB2BOrdertCU>;
}
declare class PcB2BOrdertMU extends TableUtilImpl<PcB2BOrdertCU, PcB2BOrdert> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PcB2BOrdertCU;
    static get ID(): FieldUtil<PcB2BOrdertCU>;
    static get PAYEE_ACT_ID(): FieldUtil<PcB2BOrdertCU>;
    static get ORDER_NO(): FieldUtil<PcB2BOrdertCU>;
    static get CH_ORDER_NO1(): FieldUtil<PcB2BOrdertCU>;
    static get CH_ORDER_NO2(): FieldUtil<PcB2BOrdertCU>;
    static get CH_ORDER_NO3(): FieldUtil<PcB2BOrdertCU>;
    static get PAY_ACC_NO(): FieldUtil<PcB2BOrdertCU>;
    static get PAY_BANK_CODE(): FieldUtil<PcB2BOrdertCU>;
    static get PAY_ACC_NAME(): FieldUtil<PcB2BOrdertCU>;
    static get PAY_BANK_BRN(): FieldUtil<PcB2BOrdertCU>;
    static get AMOUNT(): FieldUtil<PcB2BOrdertCU>;
    static get RCV_ACC_NO(): FieldUtil<PcB2BOrdertCU>;
    static get RCV_ACC_NAME(): FieldUtil<PcB2BOrdertCU>;
    static get RCV_BANK(): FieldUtil<PcB2BOrdertCU>;
    static get CLIENT_TEXT(): FieldUtil<PcB2BOrdertCU>;
    static get PLT_REMARKS(): FieldUtil<PcB2BOrdertCU>;
    static get PAY_REMARKS(): FieldUtil<PcB2BOrdertCU>;
    static get ORDER_REMARKS(): FieldUtil<PcB2BOrdertCU>;
    static get STATUS(): FieldUtil<PcB2BOrdertCU>;
    static get CH_STATUS(): FieldUtil<PcB2BOrdertCU>;
    static get CH_STATUS2(): FieldUtil<PcB2BOrdertCU>;
    static get RESULT_MSG(): FieldUtil<PcB2BOrdertCU>;
    static get REMARK(): FieldUtil<PcB2BOrdertCU>;
    static get EXT_JSON(): FieldUtil<PcB2BOrdertCU>;
    get ID(): FieldUtil<PcB2BOrdertCU>;
    get PAYEE_ACT_ID(): FieldUtil<PcB2BOrdertCU>;
    get ORDER_NO(): FieldUtil<PcB2BOrdertCU>;
    get CH_ORDER_NO1(): FieldUtil<PcB2BOrdertCU>;
    get CH_ORDER_NO2(): FieldUtil<PcB2BOrdertCU>;
    get CH_ORDER_NO3(): FieldUtil<PcB2BOrdertCU>;
    get PAY_ACC_NO(): FieldUtil<PcB2BOrdertCU>;
    get PAY_BANK_CODE(): FieldUtil<PcB2BOrdertCU>;
    get PAY_ACC_NAME(): FieldUtil<PcB2BOrdertCU>;
    get PAY_BANK_BRN(): FieldUtil<PcB2BOrdertCU>;
    get AMOUNT(): FieldUtil<PcB2BOrdertCU>;
    get RCV_ACC_NO(): FieldUtil<PcB2BOrdertCU>;
    get RCV_ACC_NAME(): FieldUtil<PcB2BOrdertCU>;
    get RCV_BANK(): FieldUtil<PcB2BOrdertCU>;
    get CLIENT_TEXT(): FieldUtil<PcB2BOrdertCU>;
    get PLT_REMARKS(): FieldUtil<PcB2BOrdertCU>;
    get PAY_REMARKS(): FieldUtil<PcB2BOrdertCU>;
    get ORDER_REMARKS(): FieldUtil<PcB2BOrdertCU>;
    get STATUS(): FieldUtil<PcB2BOrdertCU>;
    get CH_STATUS(): FieldUtil<PcB2BOrdertCU>;
    get CH_STATUS2(): FieldUtil<PcB2BOrdertCU>;
    get RESULT_MSG(): FieldUtil<PcB2BOrdertCU>;
    get REMARK(): FieldUtil<PcB2BOrdertCU>;
    get EXT_JSON(): FieldUtil<PcB2BOrdertCU>;
}
export { PcB2BOrdertMU, PcB2BOrdertCU };
